<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.listdialog.ListContainer&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.l.ListContainer(<span title="gtk.HBox">gtk.HBox</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.listdialog.html">listdialog</a></span>
      
      <a href="classIndex.html#kiwi.ui.listdialog.ListContainer">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div>A ListContainer is an <a 
href="kiwi.ui.objectlist.ObjectList.html"><code>ObjectList</code></a> with 
buttons to be able to modify the content of the list. Depending on the 
list_mode, @see <code>set_list_mode</code> you will have add, remove and 
edit buttons.
<h1 class="heading">Signals</h1>
  <ul>
    <li>
      <b>add-item</b> (returns item):
      <ul>
        <li>
          emitted when the add button is clicked, you're expected to 
          return an object here
        </li>
      </ul>
    </li>
    <li>
      <b>remove-item</b> (item, returns bool):
      <ul>
        <li>
          emitted when removing an item, you can block the removal from 
          the list by returning False
        </li>
      </ul>
    </li>
    <li>
      <b>edit-item</b> (item):
      <ul>
        <li>
          emitted when editing an item you can block the update 
          afterwards by returning False
        </li>
      </ul>
    </li>
  </ul>
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Instance Variables</td><td class="fieldArg">add_button</td><td>add button
 (type: <code>gtk.Button</code>
)</td></tr><tr><td></td><td class="fieldArg">remove_button</td><td>remove button
 (type: <code>gtk.Button</code>
)</td></tr><tr><td></td><td class="fieldArg">edit_button</td><td>edit button
 (type: <code>gtk.Button</code>
)</td></tr></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id191">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#__init__">__init__</a></td>
    <td><span>Create a new ListContainer object.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_create_ui">_create_ui</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_add_buttons_to_box">_add_buttons_to_box</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_pack_vbox">_pack_vbox</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_set_child_packing">_set_child_packing</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_add_item">_add_item</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_remove_item">_remove_item</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_edit_item">_edit_item</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#add_item">add_item</a></td>
    <td><span>Appends an item to the list
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#add_items">add_items</a></td>
    <td><span>Appends a list of items to the list
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#remove_item">remove_item</a></td>
    <td><span>Removes an item from the list
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#update_item">update_item</a></td>
    <td><span>Updates an item in the list.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#default_remove">default_remove</a></td>
    <td><span>Asks the user confirmation for removal of an item.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#set_list_type">set_list_type</a></td>
    <td><span>Sets the kind of list type.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#clear">clear</a></td>
    <td><span>Removes all the items in the list
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_on_list__selection_changed">_on_list__selection_changed</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_on_list__row_activated">_on_list__row_activated</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_on_add_button__clicked">_on_add_button__clicked</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_on_remove_button__clicked">_on_remove_button__clicked</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.listdialog.ListContainer.html#_on_edit_button__clicked">_on_edit_button__clicked</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, columns, orientation=gtk.ORIENTATION_VERTICAL):
        
      </div>
        <div class="functionBody">
          
          <div>Create a new ListContainer object.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">columns</td><td>columns for the <a 
href="kiwi.ui.objectlist.ObjectList.html"><code>kiwi.ui.objectlist.ObjectList</code></a>
 (type: a list of <code>kiwi.ui.objectlist.Columns</code>
)</td></tr><tr><td></td><td class="fieldArg">orientation</td><td>the position where the buttons will be placed: at the right (vertically)
or at the bottom (horizontally) of the list. Defaults to the right of the 
list.
</td></tr><tr><td></td><td colspan="2"> (type: gtk.ORIENTATION_HORIZONTAL or gtk.ORIENTATION_VERTICAL
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._create_ui"></a>
        <a name="_create_ui"></a>
        <div class="functionHeader">
        
        def _create_ui(self, columns):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._add_buttons_to_box"></a>
        <a name="_add_buttons_to_box"></a>
        <div class="functionHeader">
        
        def _add_buttons_to_box(self, box):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._pack_vbox"></a>
        <a name="_pack_vbox"></a>
        <div class="functionHeader">
        
        def _pack_vbox(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._set_child_packing"></a>
        <a name="_set_child_packing"></a>
        <div class="functionHeader">
        
        def _set_child_packing(self, padding):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._add_item"></a>
        <a name="_add_item"></a>
        <div class="functionHeader">
        
        def _add_item(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._remove_item"></a>
        <a name="_remove_item"></a>
        <div class="functionHeader">
        
        def _remove_item(self, item):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._edit_item"></a>
        <a name="_edit_item"></a>
        <div class="functionHeader">
        
        def _edit_item(self, item):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.add_item"></a>
        <a name="add_item"></a>
        <div class="functionHeader">
        
        def add_item(self, item):
        
      </div>
        <div class="functionBody">
          
          <div>Appends an item to the list
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">item</td><td>item to append
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.add_items"></a>
        <a name="add_items"></a>
        <div class="functionHeader">
        
        def add_items(self, items):
        
      </div>
        <div class="functionBody">
          
          <div>Appends a list of items to the list
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">items</td><td>items to add
 (type: a sequence of items
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.remove_item"></a>
        <a name="remove_item"></a>
        <div class="functionHeader">
        
        def remove_item(self, item):
        
      </div>
        <div class="functionBody">
          
          <div>Removes an item from the list
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">item</td><td>item to remove
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.update_item"></a>
        <a name="update_item"></a>
        <div class="functionHeader">
        
        def update_item(self, item):
        
      </div>
        <div class="functionBody">
          
          <div>Updates an item in the list. You should call this if you change the 
object
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">item</td><td>item to update
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.default_remove"></a>
        <a name="default_remove"></a>
        <div class="functionHeader">
        
        def default_remove(self, item):
        
      </div>
        <div class="functionBody">
          
          <div>Asks the user confirmation for removal of an item.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">item</td><td>a description of the item that will be removed
</td></tr><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">True if the user confirm the removal, False otherwise
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.set_list_type"></a>
        <a name="set_list_type"></a>
        <div class="functionHeader">
        
        def set_list_type(self, list_type):
        
      </div>
        <div class="functionBody">
          
          <div>Sets the kind of list type.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">list_type</td><td></td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer.clear"></a>
        <a name="clear"></a>
        <div class="functionHeader">
        
        def clear(self):
        
      </div>
        <div class="functionBody">
          
          <div>Removes all the items in the list
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._on_list__selection_changed"></a>
        <a name="_on_list__selection_changed"></a>
        <div class="functionHeader">
        
        def _on_list__selection_changed(self, list, selection):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._on_list__row_activated"></a>
        <a name="_on_list__row_activated"></a>
        <div class="functionHeader">
        
        def _on_list__row_activated(self, list, item):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._on_add_button__clicked"></a>
        <a name="_on_add_button__clicked"></a>
        <div class="functionHeader">
        
        def _on_add_button__clicked(self, button):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._on_remove_button__clicked"></a>
        <a name="_on_remove_button__clicked"></a>
        <div class="functionHeader">
        
        def _on_remove_button__clicked(self, button):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.listdialog.ListContainer._on_edit_button__clicked"></a>
        <a name="_on_edit_button__clicked"></a>
        <div class="functionHeader">
        
        def _on_edit_button__clicked(self, button):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>